Package org.apache.wiki.diff

# Class SvnStyleDiffProvider

java.lang.Object
org.apache.wiki.diff.SvnStyleDiffProvider

All Implemented Interfaces:
  `org.apache.wiki.api.providers.WikiProvider`, `DiffProvider`

public class SvnStyleDiffProvider extends Object implements DiffProvider
SVN/Git style diff provider. Uses the DiffLib, ASF 2.0 licensed.

Since:
  3.0.0

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.wiki.diff.DiffProvider

`DiffProvider.NullDiffProvider`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CELL_CHANGE`
`static final String`
`CSS_DIFF_ADDED`
`static final String`
`CSS_DIFF_CLOSE`
`static final String`
`CSS_DIFF_REMOVED`
`static final String`
`CSS_DIFF_UNCHANGED`

### Fields inherited from interface org.apache.wiki.api.providers.WikiProvider

`LATEST_VERSION`

## Constructor Summary

Constructors
Constructor
Description
`SvnStyleDiffProvider()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getProviderInfo()`
`void`
`initialize(org.apache.wiki.api.core.Engine engine, Properties properties)`
`String`
`makeDiffHtml(org.apache.wiki.api.core.Context context, String originalText, String modifiedText)`
The return string is to be XHTML compliant ready to display html.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CSS_DIFF_ADDED

public static final String CSS_DIFF_ADDED

See Also:
  - Constant Field Values

### CSS_DIFF_REMOVED

public static final String CSS_DIFF_REMOVED

See Also:
  - Constant Field Values

### CSS_DIFF_UNCHANGED

public static final String CSS_DIFF_UNCHANGED

See Also:
  - Constant Field Values

### CSS_DIFF_CLOSE

public static final String CSS_DIFF_CLOSE

See Also:
  - Constant Field Values

### CELL_CHANGE

public static final String CELL_CHANGE

See Also:
  - Constant Field Values

## Constructor Details

### SvnStyleDiffProvider

public SvnStyleDiffProvider()

## Method Details

### makeDiffHtml

public String makeDiffHtml(org.apache.wiki.api.core.Context context, String originalText, String modifiedText)
Description copied from interface: `DiffProvider`
The return string is to be XHTML compliant ready to display html. No further processing of this text will be done by the wiki engine.

Specified by:
  `makeDiffHtml` in interface `DiffProvider`
Parameters:
  `context` - The Wiki Context
  `originalText` - the old text
  `modifiedText` - the new text
Returns:
  An XHTML diff.

### initialize

public void initialize(org.apache.wiki.api.core.Engine engine, Properties properties) throws org.apache.wiki.api.exceptions.NoRequiredPropertyException, IOException

Specified by:
  `initialize` in interface `org.apache.wiki.api.providers.WikiProvider`
Throws:
  `org.apache.wiki.api.exceptions.NoRequiredPropertyException`
  `IOException`

### getProviderInfo

public String getProviderInfo()

Specified by:
  `getProviderInfo` in interface `org.apache.wiki.api.providers.WikiProvider`